function pmf = get_pmf_lap(b,y,Q,LB)
assert(length(b)==1 || length(b)==length(y));
pmf = zeros(length(y), Q);
if length(b)==1
    for i=1:length(y)
%         aa=0:(Q-1);
%         bb=aa-y(i);
        pmf(i,:) = max(LB, exp(-abs((0:(Q-1))-y(i))/b));
        pmf(i,:) = pmf(i,:)/sum(pmf(i,:));
    end    
else
    for i=1:length(y)
        pmf(i,:) = max(LB, exp(-abs((0:(Q-1))-y(i))/b(i)));
        pmf(i,:) = pmf(i,:)/sum(pmf(i,:));
    end
end